<?php
require_once("config/connect.php");
#require_once("global_functions.php");
require_once("global_functions_gastro.php");
check_login('', '', 'standardUser');

$useragent = $_SERVER['HTTP_USER_AGENT'];



?>
<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>SITPOS Tischauswahl</title>
    <?php

    echo PAGE_CACHE_OFF;

    if (is_mobile()) echo "<meta content='width=732, user-scalable=0' name='viewport' />";

    ?>


    <link rel="stylesheet" type="text/css" href="jquery/jquery-ui.css">
    <style type="text/css">
    <?php include 'include/main.css';
    include 'include/menue.css';

    if ($mobileDevice==true) {
        include 'include/mobile.css';

        ?>#wrapper_2 {
            display: block;
            width: 100%;
            height: 100%;
            top: 0;
            overflow: hidden;
        }

        .tischLayoutContainer {
            height: calc(95% - <?php echo MENU_GASTRORAUM_HOEHE ?>);
        }

        .menue {
            border: none;
        }

        <?php
    }

    ?>#tische_loginInfoDiv {
        width: 85%;
        clear: both;
        text-align: left;
        direction: ltr !important;
    }

    #tische_error_message {
        width: 9%;
    }

    .child {
        float: left;
        width: 11%;
    }

    .child input {
        width: 100%;
    }

    .child_klein {
        float: left;
        width: 5%;
        margin-right: 2px;
        overflow: hidden;
    }

    .draggable {
        display: inline-block;
    }

    .resizable {}

    .ui-wrapper {
        padding-right: 5px !important;
    }
    </style>
    <script src="jquery/jquery-2.1.1.min.js"></script>
    <script src="jquery/jquery-ui1.11.4.js"></script>
    <script src="jquery/numeral.min.js"></script>
    <script src="jquery/jquery.number.min.js"></script>
    <script src="include/global_js_functions.js"></script>
    <script src="include/global_gastro_functions.js"></script>
    <script src="include/bonSplitten.js"></script>
    <script src="sITeditor/jquery/jscolor.js"></script>
    <script>
    function seite_neu_laden() {
        var raum_id = $('#raum_id').val();
        window.location.replace("<?php echo $_SERVER['PHP_SELF'] . "?raum_id=" ?>" + raum_id);
    }
    // Es gibt ein hidden input feld, wo der aktuelle Raum gespeichert wird!
    function tische_anzeigen(id) {

        $.ajax({
            type: "POST",
            url: "include/ajax_functions_gastro.php",
            dataType: "html",
            data: {
                raum_id: id,
                functionKey: "tische_anzeigen",
                no_link: "true"
            },
            async: true,
            success: function(html) {
                $('#raum_id').val(id);
                $("#tischLayoutContainer").html(html);

                mache_draggable();

                console.log(html);
            }
        })


    }

    function tisch_details_anzeigen(tisch_id) {
        //alert ("Tisch "+tisch_id);
        $.ajax({
            type: "POST",
            url: "api/tische/tische_globale_funktionen.php",
            dataType: "html",
            data: {
                tisch_id: tisch_id,
                funktion: "tisch_details_anzeigen"
            },
            async: true,
            success: function(html) {
                $('#tische_loginInfoDiv').html(html);
                jscolor.installByClassName("jscolor");
                //location.reload();
                //seite_neu_laden();
            }
        });
    }

    function tisch_loeschen(tisch_id) {
        //alert ("Tisch "+tisch_id);
        $.ajax({
            type: "POST",
            url: "api/tische/tische_globale_funktionen.php",
            dataType: "html",
            data: {
                tisch_id: tisch_id,
                funktion: "tisch_loeschen"
            },
            async: true,
            success: function(html) {
                $('#tische_error_message_innen').html(html);
                //location.reload();
                seite_neu_laden();
            }
        });
    }

    function mache_draggable() {
        $(".draggable").draggable({
            cancel: false,
            grid: [10, 5],
            stop: function() {
                var tisch_id = $(this).attr('id');
                var tisch_id = tisch_id.replace("drag_",
                    ""); // von der id drag_ wegschneiden, damit der button genommen wird

                var position = $(this).position();
                var container_x = $('#tischLayoutContainer').position().left;
                var container_y = $('#tischLayoutContainer').position().top;
                var xPos = position.left * 1 - container_x;
                var yPos = position.top * 1 - container_y +
                    16; // das dürfte den padding nicht erkennen - deswegen -16
                //alert(tisch_id +" "+xPos+" "+yPos+" "+container_x+" "+container_y);
                $.ajax({
                    type: "POST",
                    url: "api/tische/tische_globale_funktionen.php",
                    dataType: "html",
                    data: {
                        tisch_id: tisch_id,
                        funktion: "tisch_x_y_updaten",
                        xPos: xPos,
                        yPos: yPos
                    },
                    async: true,
                    success: function(html) {
                        $('#tische_error_message_innen').html(html);
                        //location.reload();
                        seite_neu_laden();
                    }
                });
            }

        });

        $(".resizable").resizable({
            grid: [10, 5],
            stop: function(event, ui) {
                var width = ui.size.width;
                var height = ui.size.height;
                var tisch_id = ui.originalElement[0].id;
                $.ajax({
                    type: "POST",
                    url: "api/tische/tische_globale_funktionen.php",
                    dataType: "html",
                    data: {
                        tisch_id: tisch_id,
                        funktion: "tisch_breite_hoehe_updaten",
                        width: width,
                        height: height
                    },
                    async: true,
                    success: function(html) {
                        $('#tische_error_message_innen').html(html);
                    }
                })

            }
        });
    }

    $(document).ready(function() {
        mache_draggable();
    });

    function neuen_tisch_anlegen() {
        var raum_id = $('#raum_id').val();
        $.ajax({
            type: "POST",
            url: "api/tische/tische_globale_funktionen.php",
            dataType: "html",
            data: {
                raum_id: raum_id,
                funktion: "neuen_tisch_anlegen"
            },
            async: true,
            success: function(html) {
                $('#tische_error_message_innen').html(html);
                seite_neu_laden();
                //location.reload();
            }
        });
    }

    // Submitted eine Form ohne reload - damit es nicht flackert!!
    function submitForm() {
        var form = document.forms[document.forms.length - 1];
        if (form.getAttribute("id") != "" || form.getAttribute("id") != null) {
            var id = form.getAttribute("id");
        } else {
            console.log("Form id attribute was not set; the form cannot be serialized");
        }

        $.ajax({
            type: form.method,
            url: form.action,
            data: $(form).serializeArray(),
            dataType: "html",
            success: function(html) {
                $('#tische_error_message_innen').html(html);
                seite_neu_laden();
                //location.reload();
            }
        });
        return (false);
    }

    supplyPdfPrint = "<?php echo strtolower(AUSDRUCK_BEREITSTELLUNGSBON_PDF); ?>";
    takeOtherTable = "<?php echo strtolower(OTHER_USER_TABLE_TAKE); ?>";
    </script>
    <?php
    if (!isset($_SESSION)) {
        session_start();
    }            # wenn kellnerschloss abgezogen wird wird AUCH eine session gesetzt, wenn der logout auf kassieren 
    # nicht mehr ausgeführt wird weil tische schon geladen dann löst die session das logout hier aus, gleiche funktion auch auf kassieren
    if (isset($_SESSION['autologout']) && $_SESSION['autologout'] == true) {
    ?> <script>
    setTimeout(checkPendingRequest, 500);
    </script> <?php
                }
                    ?>
</head>

<body>
    <div id="wrapper" class="wrapper">
        <div id="generalDialog"></div> <!-- mehrfach in kassieren.php verwendete Dialog box (jquery ui dialog box)	-->
        <?php menue_anzeigen(true); ?>
        <div class="cclear"></div>
        <div id="wrapper_2" class="wrapper_2">
            <?php
            $raum_id = 0;
            if (isset($_REQUEST['raum_id'])) {
                $raum_id = $_REQUEST['raum_id'];
                //echo "Raum: $raum_id";
            }
            $del_temp_tables = false;
            if (isset($_REQUEST['funktion'])) {
                if ($_REQUEST['funktion'] == 'del_temp_tables') {
                    $del_temp_tables = true;
                }
            }
            $kassa_offen_id = ist_kassa_offen();
            if ($kassa_offen_id) {
                //	print_fehler("Kassa ist offen mit Sequenz: $kassa_offen_id");
            } else {
                //	print_fehler("Kassa ist nicht geöffnet, es kann nicht boniert werden");
                eroeffne_kassa();
            }
            if (isset($_SESSION['requested_resolution']) && checkMobilerDrucker() == false) {
                defineMobilenDrucker();
            }

            ?>
            <div class="selectRoomMenuDiv">
                <div class="roomMenuInnerDiv">
                    <div class="roomMenuListDiv">
                        <?php
                        $getUserRaum = mysql_fetch_array(mysql_query("SELECT aktuellerRaum FROM benutzer WHERE id = " . $_SESSION['userId'] . " "));
                        # wenn der benutzer einen Raum gesetzt hat, wird dieser (weiter unten) aufgerufen, wenn nicht nehmen wir den ersten raum
                        $sql_kategorien = mysql_query("SELECT id, name, reihenfolge FROM raum ORDER by reihenfolge ASC");
                        $erste_id_gefunden = false;

                        if (!$sql_kategorien) {
                            echo "SQL Fehler: " . mysql_error();
                            exit(1);
                        }
                        // Zeige die Räume an
                        while ($row_raum = mysql_fetch_assoc($sql_kategorien)) {
                            $raumAktuell = false;
                            if ($raum_id == 0) {
                                $raum_id = $row_raum['id'];
                                $erste_id_gefunden = true;
                            }
                            echo "<button class='button_none_float orange rommMenuBut' 
											onclick=\"tische_anzeigen('" . $row_raum['id'] . "')\"	>" . $row_raum['name'] . "</button>";
                        }
                        ?>
                    </div>
                </div> <!--  raum auswählen inner div ende -->
                <div class="cclear"></div>
            </div> <!-- Menue raum auswählen ende -->
            <div class="cclear"></div>
            <div id="tischLayoutContainer" class="tischLayoutContainer">
                <?php
                if (isset($_POST['moveTableIndicator']) && $_POST['moveTableIndicator'] == 'setByMoveTable') $moveTabelIndicator = "moveTable";
                else $moveTabelIndicator = "";

                tische_anzeigen($raum_id, $moveTabelIndicator, true);
                if (isset($_POST['moveTableIndicator']) && $_POST['moveTableIndicator'] == 'setByMoveTable') {
                ?>
                <script>
                $("#menuDivRight").css({
                    "display": "block"
                }).html(
                    "<input type='hidden' id='setTargetHiddenField' value='setTargetTable' /><p class='setTableToMoveTxt'>Ziel Tisch auswählen</p>"
                );
                </script>
                <?php

                } else if (isset($_POST['moveTableIndicator']) && $_POST['moveTableIndicator'] == 'setByMoveTableDetail') {
                ?>
                <script>
                $("#menuDivRight").css({
                    "display": "block"
                }).html(
                    "<input type='hidden' id='setTargetHiddenField' value='setByMoveTableDetail' /><p class='setTableToMoveTxt'>Ziel Tisch auswählen</p>"
                );
                </script>
                <?php
                }

                unset($_POST['moveTableIndicator']);
                ?>

            </div>

            <div id="tische_messageDiv">
                <?php
                echo "<input type='hidden' id='raum_id' value='" . $raum_id . "'>";

                ?>
                <div id="tische_loginInfoDiv" class="loginInfoDiv">


                </div>

                <div id="tische_error_message">
                    <div id="tische_error_message_innen">
                        <?php
                        echo '<button id="neuer_tisch" onclick="neuen_tisch_anlegen()" class="button orange">Tisch anlegen</button>';
                        ?>

                    </div>
                </div>
            </div>
            <div class='cclear'></div>

        </div><!-- wrapper_2 schließen -->
    </div> <!-- wrapper schließen -->

</body>

</html>